Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.workarea
Class SerializableWorkContext

    java.lang.Object
      weblogic.workarea.SerializableWorkContext

All Implemented Interfaces:
  PrimitiveWorkContext, Serializable, WorkContext

public class SerializableWorkContext
extends Object
implements PrimitiveWorkContext, Serializable

An implementation for propagating Serializable `WorkContext`s.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SerializableWorkContext()`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `get()` Returns the data associated with this `PrimitiveWorkContext`.
`Serializable` | `getSerializable()`
`void` | `readContext(WorkContextInput in)`
`String` | `toString()`
`void` | `writeContext(WorkContextOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableWorkContext

    public SerializableWorkContext()

Method Detail

### equals

    public boolean equals(Object obj)

### get

    public Object get()

  Description copied from interface: `PrimitiveWorkContext`
  Returns the data associated with this `PrimitiveWorkContext`.

  Specified by:
    `get` in interface `PrimitiveWorkContext`

### getSerializable

    public Serializable getSerializable()
                                 throws IOException,
                                        ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### readContext

    public void readContext(WorkContextInput in)
                     throws IOException

  Description copied from interface: `WorkContext`
  Reads the implementation of `WorkContext` from the `WorkContextInput` data stream.

  Specified by:
    `readContext` in interface `WorkContext`
  Throws:
    `IOException`

### toString

    public String toString()

### writeContext

    public void writeContext(WorkContextOutput out)
                      throws IOException

  Description copied from interface: `WorkContext`
  Writes the implementation of `WorkContext` to the `WorkContextOutput` data stream.

  Specified by:
    `writeContext` in interface `WorkContext`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD